## lomiri-session 0.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5.0)
project(lomiri-session VERSION 0.2)

option(ENABLE_TOUCH_SESSION "Include support for touch session and lightdm integration" ON)

find_program(LOMIRI_BIN lomiri)
if(NOT LOMIRI_BIN)
	message(WARNING "make sure you have the lomiri shell installed at runtime!")
endif()
find_program(INOTIFYWAIT_BIN inotifywait)
if(NOT INOTIFYWAIT_BIN)
	message(WARNING "inotifywait binary not found, it's required for X11 support!")
endif()

install(PROGRAMS lomiri-session DESTINATION bin)

find_package(PkgConfig)
pkg_check_modules(PC_SYSTEMD libsystemd)

if(PC_SYSTEMD_FOUND)
	add_subdirectory(systemd)

	if(ENABLE_TOUCH_SESSION)
		find_program(LSC_BIN lomiri-system-compositor REQUIRED)

		add_subdirectory(touch)
	endif()
elseif(ENABLE_TOUCH_SESSION)
	set(ENABLE_TOUCH_SESSION OFF)
	message(WARNING "Support for touch session was enabled but it depends on systemd which wasn't found!")
endif()

add_subdirectory(desktop)

=== desktop/CMakeLists.txt ===
install(PROGRAMS dm-lomiri-session DESTINATION bin)
install(FILES lomiri.desktop DESTINATION share/wayland-sessions)

=== systemd/CMakeLists.txt ===
install(PROGRAMS run-systemd-session DESTINATION lib/lomiri-session)
install(FILES lomiri.service DESTINATION lib/systemd/user)

=== touch/CMakeLists.txt ===
install(PROGRAMS lomiri-touch-session DESTINATION bin)
install(PROGRAMS lsc-wrapper DESTINATION share/lomiri-session)
install(FILES 52-lomiri-touch.conf DESTINATION share/lightdm/lightdm.conf.d)
install(FILES lomiri-touch.desktop DESTINATION share/lightdm/sessions)

=== debian/changelog ===
lomiri-session (0.2-3) unstable; urgency=medium

  * debian/control:
    + Add Lomiri core apps to R (lomiri-desktop-session), docviewer app
      to S, move Xwayland to S.
    + Add to R: content-hub.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 14 Feb 2023 11:02:58 +0100

lomiri-session (0.2-2) unstable; urgency=medium

  * debian/patches:
    + Add 0001_desktop-dm-lomiri-session-Drop-old-wizard-has-run-ch.patch.
      Drop old wizard has run check.
    + Add 0002_lomiri-session-Put-evaluation-of-ps-call-in-quotes.patch,
      0003_lomiri-session-Properly-differentiate-between-Ubuntu.patch and
      0004_lomiri-session-Check-for-presence-of-Xwayland-use-th.patch. Fix
      Lomiri session startup. Gracefully handle non-presence of Xwayland.
    + Add 0005_systemd-lomiri.service-Drop-Before-and-Wants-for-ind.patch.
      Drop indicators.target.
  * debian/control:
    + Add to R: xwayland.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 14 Feb 2023 09:20:45 +0100

lomiri-session (0.2-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    + Drop all patches. Applied upstream.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 04 Feb 2023 16:44:56 +0100

lomiri-session (0.1-1) unstable; urgency=medium

  [ Marius Gripsgard ]
  * Initial upload to Debian. (Closes: #1030388).

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 03 Feb 2023 22:54:09 +0100

=== debian/control ===
Source: lomiri-session
Section: x11
Priority: optional
Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
Uploaders:
 Mike Gabriel <sunweaver@debian.org>,
 Marius Gripsgard <marius@ubports.com>,
Build-Depends: cmake,
 debhelper-compat (= 13),
 libsystemd-dev [linux-any],
 pkg-config,
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://gitlab.com/ubports/development/core/lomiri-session
Vcs-Git: https://salsa.debian.org/ubports-team/lomiri-session.git
Vcs-Browser: https://salsa.debian.org/ubports-team/lomiri-session

Package: lomiri-desktop-session
Architecture: all
Depends:
 dbus,
 pulseaudio,
 lomiri,
 lomiri-terminal-app,
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 content-hub,
 inotify-tools,
 lomiri-calculator-app,
 lomiri-camera-app,
 lomiri-clock-app,
 lomiri-filemanager-app,
 lomiri-gallery-app,
 lomiri-mediaplayer-app,
 lomiri-music-app,
 morph-browser,
Suggests:
 xwayland,
 lomiri-docviewer-app,
Description: Integrate Lomiri Desktop Session into Display Managers
 Lomiri is an operating environment optimized for touch based
 human-machine interaction, but also supporting convergence (i.e.
 switching between tablet/phone and desktop mode). Lomiri is the user
 shell driving Ubuntu Touch based mobile devices.
 .
 This package provides the display manager / session manager integration
 so that you can launch a Lomiri (Desktop) Session using your favourite
 display manager.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

%:
	dh $@ --buildsystem cmake

override_dh_auto_configure:
#   TODO add touch session once we have lomiri-system-compositor in
	dh_auto_configure -- -DENABLE_TOUCH_SESSION=off

override_dh_missing:
	dh_missing --fail-missing

get-orig-source:
	uscan --noconf --force-download --rename --download-current-version --destdir=..

## lomiri-session 0.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,14 @@
 cmake_minimum_required(VERSION 3.5.0)
-project(lomiri-session VERSION 0.2)
+project (lomiri-session VERSION 0.3 LANGUAGES NONE)
 
 option(ENABLE_TOUCH_SESSION "Include support for touch session and lightdm integration" ON)
+option (ENABLE_UBUNTU_ACCOUNTSSERVICE "Build with Ubuntu's fork of accountsservice" OFF)
+
+# CMake BOOL -> value testable in bash
+set(BASH_ENABLE_UBUNTU_ACCOUNTSSERVICE 0)
+if(ENABLE_UBUNTU_ACCOUNTSSERVICE)
+	set(BASH_ENABLE_UBUNTU_ACCOUNTSSERVICE 1)
+endif()
 
 find_program(LOMIRI_BIN lomiri)
 if(NOT LOMIRI_BIN)
@@ -12,16 +19,20 @@
 	message(WARNING "inotifywait binary not found, it's required for X11 support!")
 endif()
 
-install(PROGRAMS lomiri-session DESTINATION bin)
+include(GNUInstallDirs)
+configure_file ("${CMAKE_CURRENT_SOURCE_DIR}/lomiri-session.in" "${CMAKE_CURRENT_BINARY_DIR}/lomiri-session" @ONLY)
+install (PROGRAMS "${CMAKE_CURRENT_BINARY_DIR}/lomiri-session" DESTINATION "${CMAKE_INSTALL_FULL_BINDIR}")
 
 find_package(PkgConfig)
 pkg_check_modules(PC_SYSTEMD libsystemd)
 
 if(PC_SYSTEMD_FOUND)
+	find_program(DUAE_BIN dbus-update-activation-environment REQUIRED)
 	add_subdirectory(systemd)
 
 	if(ENABLE_TOUCH_SESSION)
 		find_program(LSC_BIN lomiri-system-compositor REQUIRED)
+		find_program(LSCS_BIN lomiri-system-compositor-spinner REQUIRED)
 
 		add_subdirectory(touch)
 	endif()

=== desktop/CMakeLists.txt ===
configure_file(dm-lomiri-session.in dm-lomiri-session @ONLY)
install(PROGRAMS ${CMAKE_CURRENT_BINARY_DIR}/dm-lomiri-session DESTINATION ${CMAKE_INSTALL_BINDIR})
install(FILES lomiri.desktop DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/wayland-sessions)

=== systemd/CMakeLists.txt ===
install(PROGRAMS run-systemd-session DESTINATION ${CMAKE_INSTALL_LIBEXECDIR}/lomiri-session)

pkg_check_modules(SYSTEMD systemd)
if (${SYSTEMD_FOUND})

  # where to install
  pkg_get_variable(SYSTEMD_USER_DIR systemd systemduserunitdir)
  message (STATUS "${SYSTEMD_USER_DIR} is the systemd user unit file install dir")

else()

  set(SYSTEMD_USER_DIR "${CMAKE_INSTALL_FULL_LIBDIR}/systemd/user")

endif()

configure_file(lomiri.service.in lomiri.service @ONLY)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/lomiri.service DESTINATION ${SYSTEMD_USER_DIR})

=== touch/CMakeLists.txt ===
configure_file(lomiri-touch-session.in lomiri-touch-session @ONLY)
install(PROGRAMS ${CMAKE_CURRENT_BINARY_DIR}/lomiri-touch-session DESTINATION ${CMAKE_INSTALL_BINDIR})
configure_file(lsc-wrapper.in lsc-wrapper @ONLY)
install(PROGRAMS ${CMAKE_CURRENT_BINARY_DIR}/lsc-wrapper DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/lomiri-session)
configure_file(52-lomiri-touch.conf.in 52-lomiri-touch.conf @ONLY)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/52-lomiri-touch.conf DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/lightdm/lightdm.conf.d)
install(FILES lomiri-touch.desktop DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/lightdm/sessions)

=== debian/changelog ===
lomiri-session (0.3-9build1) plucky; urgency=medium

  * Rebuild against new ppp 2.5.2-1+1.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 26 Feb 2025 15:27:46 +0100

lomiri-session (0.3-9) unstable; urgency=medium

  * debian/control:
    + Add to R: lomiri-app-launch-tools.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 10 Feb 2025 15:24:25 +0100

lomiri-session (0.3-8) unstable; urgency=medium

  [ Lionel Duboeuf ]
  * debian/patches:
    + Add 2026_set_mkcal_as_the_alarm_backend_storage.patch Declare mkcal as
      the alarm storage backend. Needed by LUITK Alarm component

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 07 Feb 2025 16:58:59 +0100

lomiri-session (0.3-7) unstable; urgency=medium

  * debian/control:
    + Add to R: lomiri-cloudsync-app, lomiri-dekko-app, lomiri-teleports-app,
      lomiri-tfamanager-app, lomiri-weather-app.
    + Drop from Recommends: and phase-out: lomiri-abook2cal-syncd.
    + Drop from Recommends: and phase out: lomiri-sync-monitor.
  * debian/patches:
    + Drop 2020_lomiri-keyboard-service.patch. Start using lomiri-keyboard
      instead of maliit-keyboard.
    + Also drop 2023_use-qt-quick-style-suru.patch.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 26 Jan 2025 12:25:44 +0100

lomiri-session (0.3-6) unstable; urgency=medium

  [ Guido Berhoerster ]
  * debian/patches:
    + Add 2025_run_xdg_user_dirs_update.patch. Ensure XDG user directories
      exist.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 10 Oct 2024 18:40:56 +0200

lomiri-session (0.3-5) unstable; urgency=medium

  * debian/control:
    + Add to D: user-session-migration.
  * debian/patches:
    + Add 2024_user-session-migration-integration.patch. Assure that user-
      session-migration scripts have run before Lomiri session startup.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 13 Sep 2024 09:45:26 +0200

lomiri-session (0.3-4) unstable; urgency=medium

  * debian/control:
    + Promote lomiri-content-hub from R: to D: to assure the replacement of
      content-hub by lomiri-content-hub works flawlessly on already installed
      systems.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 10 Sep 2024 16:17:58 +0200

lomiri-session (0.3-3) unstable; urgency=medium

  * debian/control:
    + Add to R: lomiri-calendar-app, lomiri-abook2cal-syncd, and lomiri-sync-
      monitor and lomiri-polkit-agent.
    + Replace in R: content-hub by lomiri-content-hub, add content-hub to
      Breaks:/Replaces:.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 08 Sep 2024 22:35:49 +0200

lomiri-session (0.3-2) unstable; urgency=medium

  * debian/control:
    + Add to B-D: dbus-bin (for finding the dbus-update-activation-environment
      executable).

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 21 Jul 2024 15:55:18 +0200

lomiri-session (0.3-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    + Drop all cherry-picked patches. Now shipped in latest upstream version.
    + Rebase 2021_lomiri-requires-lomiri-keyboard.patch.
  * debian/copyright:
    + Update copyright attributions.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 12 Jul 2024 13:16:00 +0200

lomiri-session (0.2-13) unstable; urgency=medium

  * debian/patches:
    + Drop commented out patch from series file.
    + Add patches 0023, 0024 and 0025. Add non-Ubuntu AccountsService support to
      Lomiri session for language and kbd layout settings.
    + Add patches 0031 and 0032. Install all files to non-multi-arch target
      locations.
    + Update 2020_lomiri-keyboard-service.patch. Use SYSTEMD_USER_DIR CMake
      variable for installing the lomiri-keyboard.service file.
  * debian/rules:
    + Set ENABLE_UBNUTU_ACCOUNTSSERVICE flag dependent on dpkg-vendor call, only
      set it to ON when built on Ubuntu and derivatives.
  * debian/control:
    + Add B-D: systemd-dev.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 11 Jul 2024 14:35:14 +0200

lomiri-session (0.2-12) unstable; urgency=medium

  * debian/watch:
    + Update file for recent GitLab changes of the tags overview page.
  * debian/patches:
    + Add 0022_lomiri-indicators-target.patch. Request lomiri-indicators.target
      rather than ayatana-indicators.target.
    + Rename patches, Debian-specific patches now have a patch number greater
      than 2000. Plus rebase patches.
  * debian/control:
    + Assure installation of lomiri (>= 0.2.1-12~). First version shipping the
      lomiri-indicators.target.
    + Bump Standards-Version to 4.7.0. No changes needed.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 22 May 2024 11:49:46 +0200

lomiri-session (0.2-11) unstable; urgency=medium

  * debian/patches:
    + Add 1002_no-lomiri-restart-on-failure.patch.  Don't restart lomiri on
      failure/crash. Return back to the greeter instead.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 26 Mar 2024 22:06:48 +0100

lomiri-session (0.2-10) unstable; urgency=medium

  * debian/:
    + Add new bin:pkg debian-lomiri-default-settings. Brand Lomiri
      with Debian artwork.
  * debian/control:
    + Switch from pkg-config to pkgconf. Thanks, lintian.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 09 Mar 2024 16:46:10 +0100

lomiri-session (0.2-9) unstable; urgency=medium

  * debian/control:
    + Add to R: lomiri-docviewer-app.
    + Add to R: gkbd-capplet (for showing the keyboard layout on screen via
      ayatana-indicator-keyboard).
    + Drop lomiri-docviewer-app from S: (already in R: now).
    + Promote xwayland from S: to R:.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 08 Mar 2024 10:54:00 +0100

lomiri-session (0.2-8) unstable; urgency=medium

  * debian/{lomiri-session.1,manpages}:
    + Add a minimal lomiri-session man page.
  * debian/patches:
    + Add 1001_use-qt-quick-style-suru.patch. Set QT_QUICK_CONTROLS_STYLE=suru.
      This makes icons of special keys visible (such as Return key, Shift key,
      etc.).

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 29 Feb 2024 17:16:05 +0100



=== debian/control ===
--- 
+++ 
@@ -6,10 +6,12 @@
  Mike Gabriel <sunweaver@debian.org>,
  Marius Gripsgard <marius@ubports.com>,
 Build-Depends: cmake,
+ dbus-bin,
  debhelper-compat (= 13),
  libsystemd-dev [linux-any],
- pkg-config,
-Standards-Version: 4.6.2
+ pkgconf,
+ systemd-dev,
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://gitlab.com/ubports/development/core/lomiri-session
 Vcs-Git: https://salsa.debian.org/ubports-team/lomiri-session.git
@@ -19,25 +21,41 @@
 Architecture: all
 Depends:
  dbus,
- pulseaudio,
- lomiri,
+ pulseaudio | pipewire-pulse,
+ lomiri (>= 0.2.1-12~),
+ lomiri-content-hub,
  lomiri-terminal-app,
+ user-session-migration,
+ xdg-user-dirs,
  ${misc:Depends},
- ${shlibs:Depends},
 Recommends:
- content-hub,
  inotify-tools,
+ lomiri-app-launch-tools,
+ lomiri-addressbook-app,
  lomiri-calculator-app,
+ lomiri-calendar-app,
  lomiri-camera-app,
  lomiri-clock-app,
+ lomiri-cloudsync-app,
+ lomiri-dekko-app,
+ lomiri-docviewer-app,
  lomiri-filemanager-app,
  lomiri-gallery-app,
  lomiri-mediaplayer-app,
  lomiri-music-app,
+ lomiri-polkit-agent,
+ lomiri-teleports-app,
+ lomiri-tfamanager-app,
+ lomiri-weather-app,
  morph-browser,
-Suggests:
+ gkbd-capplet,
  xwayland,
- lomiri-docviewer-app,
+Breaks: content-hub,
+        lomiri-abook2cal-syncd,
+        lomiri-sync-monitor,
+Replaces: content-hub,
+          lomiri-abook2cal-syncd,
+          lomiri-sync-monitor,
 Description: Integrate Lomiri Desktop Session into Display Managers
  Lomiri is an operating environment optimized for touch based
  human-machine interaction, but also supporting convergence (i.e.
@@ -47,3 +65,20 @@
  This package provides the display manager / session manager integration
  so that you can launch a Lomiri (Desktop) Session using your favourite
  display manager.
+
+Package: debian-lomiri-default-settings
+Architecture: all
+Depends:
+ lomiri-schemas (>= 0.1.4-2~),
+ desktop-base,
+ ${misc:Depends},
+Recommends:
+ lomiri,
+Description: Debian's default settings for the Lomiri Operating Environment
+ Lomiri is an operating environment optimized for touch based
+ human-machine interaction, but also supporting convergence (i.e.
+ switching between tablet/phone and desktop mode). Lomiri is the user
+ shell driving Ubuntu Touch based mobile devices.
+ .
+ This package makes Lomir in Debian look like a Debian system (by using Debian's
+ artwork where appropriate).
